Bug 165949 - ./configure enhancements and cleanup
./configure enhancements and cleanup
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: squid (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Stransky
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-15 02:52 EDT by Reuben Farrelly
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-30 11:18:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Reuben Farrelly 2005-08-15 02:52:30 EDT
Here are some possible minor tweaks/enhancements to the options squid in
-devel/rawhide is built with:

--enable-cache-digests

This is a feature which an out-of-the-box squid should support.  It is useful
when running more than one squid box in a hierarchy - although, we should
disable this in the default squid.conf.

===

--datadir=/usr/share

Move to top of configure where all the other directories are specified.  

===

--disable-dependency-tracking

Not sure why we are using this?  [We should not be building with options other
than ones which are specifically required]

===

--with-openssl=/usr/kerberos

Does not needed to be specified...just tested without this statement and squid
builds and finds the headers just fine.

===
Comment 1 Martin Stransky 2005-08-30 11:18:19 EDT
Hello,

--enable-cache-digests will be enabled
--datadir is moved
--disable-dependency-tracking  - It's used for fast rebuild
--with-openssl=/usr/kerberos - I think it's better to specify this

Ma.

Note You need to log in before you can comment on or make changes to this bug.